# Flipper Zero firmware repository

Open source multi-tool device for researching and pentesting radio protocols, access control systems, hardware, and more.

Project website: [flipperzero.one](https://flipperzero.one)

Kickstarter page: [kickstarter.com](https://www.kickstarter.com/projects/flipper-devices/flipper-zero-tamagochi-for-hackers)

Forum: [forum.flipperzero.one](https://forum.flipperzero.one/)

## Modules/features

* [Sub-1 GHz radio](wiki/sub-1ghz-radio.md)
* [125 kHz RFID](wiki/125khz-rfid.md)
* [iButton contact keys](wiki/ibutton.md)
* [U2F/FIDO2 security token](wiki/security-token.md)
* [infrared transmitter](wiki/ir.md)
* [GPIO/HW tools](wiki/gpio-hw.md)
* [USB](wiki/usb.md)
* [Bluetooth](wiki/bluetooth.md)
* [NFC](wiki/nfc.md)

## Hardware

[Hardware specification](wiki/hw.md)

* [Version 1.0](wiki/hw-1.0.md)
* In progress Version 1.1

### Hardware components

* LCD display [buydisplay.com](https://www.buydisplay.com/1-4-inch-graphic-128x64-lcd-module-serial-spi-st7565-black-on-white)

## How to contribute

(add code style, contribution guide here)

## Build

* docker image
* Arduino IDE (in progress)
* PlatformIO (in progress)

## Firmware description

* HAL
* OSAL
* Components description
* Basic Flipperzero components